%define api	0.7
%define major	0
%define libname		%mklibname %{name} %{api} %{major}
%define girname		%mklibname %{name}-gir %{api}
%define devname		%mklibname %{name} -d

Name:		rest
Summary:	Library for accessing rest web services
Group:		System/Libraries
Version:	0.8.0
Release:	1
License:	LGPLv2+
URL:		https://github.com/GNOME/librest
Source0:	http://ftp.acc.umu.se/pub/GNOME/sources/rest/0.8/%{name}-%{version}.tar.xz
Source1:	http://ftp.acc.umu.se/pub/GNOME/sources/rest/0.8/%{name}-%{version}.tar.xz.sign
BuildRequires: gtk-doc
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libsoup-2.4)
BuildRequires: pkgconfig(libxml-2.0)

%description
Library for accessing rest web services

#------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for accessing rest web services
Group:		System/Libraries
Obsoletes:	%{_lib}librest0 < %{version}
Conflicts:	%{devname} < 0.7.10

%description -n %{libname}
Library for accessing rest web services

%files -n %{libname}
%doc COPYING
%{_libdir}/librest-%{api}.so.%{major}*
%{_libdir}/librest-extras-%{api}.so.%{major}*

#------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject introspection interface library for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject introspection interface library for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Rest-%{api}.typelib
%{_libdir}/girepository-1.0/RestExtras-%{api}.typelib

#------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
%rename lib%{name}-doc

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%doc README AUTHORS ChangeLog
%{_includedir}/%{name}-%{api}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/%{name}-extras-%{api}.pc
%{_libdir}/librest-%{api}.so
%{_libdir}/librest-extras-%{api}.so
%{_datadir}/gtk-doc/html/%{name}*%{api}
%{_datadir}/gir-1.0/Rest-%{api}.gir
%{_datadir}/gir-1.0/RestExtras-%{api}.gir

#------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-introspection=yes \
	--enable-gtk-doc
%make

%install
%makeinstall_std
find %{buildroot} -name '*.la' -delete

%changelog

* Wed May 04 2016 dsilakov <denis.silakov@rosalab.ru> 0.8.0-1
- (2f7a36a) Merge pull request #1 from alzim/rest:rosa2014.1
- (2f7a36a) Updated to 0.8.0


